package com.ruoyi.sip.controller;


import com.ruoyi.common.annotation.Anonymous;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.sip.domain.MaintenanceRecordsDto;
import com.ruoyi.sip.service.IMaintenanceService;
import com.ruoyi.sip.service.IOrderDeliveryService;
import com.ruoyi.sip.service.IOrderInfoService;
import com.ruoyi.sip.service.IProductInfoService;
import org.apache.shiro.authz.annotation.RequiresPermissions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

/**
 * @author :   ch
 * @version :   1.0
 * @ClassName :   MaintenanceController
 * @Description :
 * @DATE :   Created in 11:25 2025/4/23
 * <pre>       Copyright: Copyright(c) 2025     </pre>
 * <pre>       Company :   	紫光汇智信息技术有限公司		           </pre>
 * Modification  History:
 * Date         Author        Version        Discription
 * --------------------------------------------------------------------------
 * 2025/04/23      ch              1.0         Why & What is modified: <修改原因描述> *
 */
@Controller
@RequestMapping("/manage/service")
public class MaintenanceController {
    private String prefix = "manage/service";


    @Autowired
    private IMaintenanceService service;
    @Autowired
    private IProductInfoService productInfoService;
    @Autowired
    private IOrderInfoService orderInfoService;

    @Anonymous
    @GetMapping()
    public String service()
    {
        return prefix + "/service";
    }


    @GetMapping("/query")
    @ResponseBody
    @Anonymous
    public AjaxResult query(MaintenanceRecordsDto dto)
    {
        return AjaxResult.success(service.query(dto));
    }

    @GetMapping("/product")
    @ResponseBody
    @Anonymous
    public AjaxResult product(MaintenanceRecordsDto dto)
    {
        return AjaxResult.success(productInfoService.query(dto));
    }

    @GetMapping("/order")
    @ResponseBody
    @Anonymous
    public AjaxResult order(MaintenanceRecordsDto dto)
    {
        return AjaxResult.success(orderInfoService.selectOrderInfoByMaintenance(dto));
    }

}
