package com.ruoyi.sip.mapper;

import java.util.List;
import com.ruoyi.sip.domain.PartnerInfo;

/**
 * 供应商管理Mapper接口
 * 
 * @author mula
 * @date 2025-04-30
 */
public interface PartnerInfoMapper 
{
    /**
     * 查询供应商管理
     * 
     * @param id 供应商管理主键
     * @return 供应商管理
     */
    public PartnerInfo selectPartnerInfoById(Long id);

    /**
     * 查询供应商管理列表
     * 
     * @param partnerInfo 供应商管理
     * @return 供应商管理集合
     */
    public List<PartnerInfo> selectPartnerInfoList(PartnerInfo partnerInfo);

    /**
     * 新增供应商管理
     * 
     * @param partnerInfo 供应商管理
     * @return 结果
     */
    public int insertPartnerInfo(PartnerInfo partnerInfo);

    /**
     * 修改供应商管理
     * 
     * @param partnerInfo 供应商管理
     * @return 结果
     */
    public int updatePartnerInfo(PartnerInfo partnerInfo);

    /**
     * 删除供应商管理
     * 
     * @param id 供应商管理主键
     * @return 结果
     */
    public int deletePartnerInfoById(Long id);

    /**
     * 批量删除供应商管理
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePartnerInfoByIds(String[] ids);
}
