package com.ruoyi.sip.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.sip.mapper.PartnerInfoMapper;
import com.ruoyi.sip.domain.PartnerInfo;
import com.ruoyi.sip.service.IPartnerInfoService;
import com.ruoyi.common.core.text.Convert;

/**
 * 供应商管理Service业务层处理
 * 
 * @author mula
 * @date 2025-04-30
 */
@Service
public class PartnerInfoServiceImpl implements IPartnerInfoService 
{
    @Autowired
    private PartnerInfoMapper partnerInfoMapper;

    /**
     * 查询供应商管理
     * 
     * @param id 供应商管理主键
     * @return 供应商管理
     */
    @Override
    public PartnerInfo selectPartnerInfoById(Long id)
    {
        return partnerInfoMapper.selectPartnerInfoById(id);
    }

    /**
     * 查询供应商管理列表
     * 
     * @param partnerInfo 供应商管理
     * @return 供应商管理
     */
    @Override
    public List<PartnerInfo> selectPartnerInfoList(PartnerInfo partnerInfo)
    {
        return partnerInfoMapper.selectPartnerInfoList(partnerInfo);
    }

    /**
     * 新增供应商管理
     * 
     * @param partnerInfo 供应商管理
     * @return 结果
     */
    @Override
    public int insertPartnerInfo(PartnerInfo partnerInfo)
    {
        return partnerInfoMapper.insertPartnerInfo(partnerInfo);
    }

    /**
     * 修改供应商管理
     * 
     * @param partnerInfo 供应商管理
     * @return 结果
     */
    @Override
    public int updatePartnerInfo(PartnerInfo partnerInfo)
    {
        return partnerInfoMapper.updatePartnerInfo(partnerInfo);
    }

    /**
     * 批量删除供应商管理
     * 
     * @param ids 需要删除的供应商管理主键
     * @return 结果
     */
    @Override
    public int deletePartnerInfoByIds(String ids)
    {
        return partnerInfoMapper.deletePartnerInfoByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除供应商管理信息
     * 
     * @param id 供应商管理主键
     * @return 结果
     */
    @Override
    public int deletePartnerInfoById(Long id)
    {
        return partnerInfoMapper.deletePartnerInfoById(id);
    }
}
